Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface EJBPoolRuntimeMBean

All Superinterfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface EJBPoolRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface contains accessor methods for all free pool runtime information collected for an EJB.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getAccessTotalCount()` Provides a count of the total number of times an attempt was made to get an instance from the free pool.
`int` | `getBeansInUseCount()` Deprecated. 28-Aug-2002. Use getBeansInUseCurrentCount() instead.
`int` | `getBeansInUseCurrentCount()` Provides a count of the number of bean instances currently being used from the free pool.
`long` | `getDestroyedTotalCount()` Provides a count of the total number of times a bean instance from this pool was destroyed due to a non-application Exception being thrown from it.
`int` | `getIdleBeansCount()` Deprecated. 28-Aug-2002. Use getPooledBeansCurrentCount() instead.
`long` | `getMissTotalCount()` Provides a count of the total number of times a failed attempt was made to get an instance from the free pool.
`int` | `getPooledBeansCurrentCount()` Provides a count of the current number of available bean instances in the free pool.
`long` | `getTimeoutTotalCount()` Provides a count of the total number of Threads that have timed out waiting for an available bean instance from the free pool.
`int` | `getWaiterCurrentCount()` Provides a count of the number of Threads currently waiting for an available bean instance from the free pool.
`long` | `getWaiterTotalCount()` Deprecated. 28-Aug-2002. Use getWaiterCurrentCount() instead.
`void` | `initializePool()` Instructs the Pool to initialize itself to its configured startup time size.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getAccessTotalCount

    public long getAccessTotalCount()

  Provides a count of the total number of times an attempt was made to get an instance from the free pool.

  Returns:
    The accessTotalCount value

### getBeansInUseCount

    public int getBeansInUseCount()

  Deprecated. 28-Aug-2002. Use getBeansInUseCurrentCount() instead.

  Provides a count of the total number of bean instances currently in use from the free pool.

  Returns:
    The beansInUseCount value

### getBeansInUseCurrentCount

    public int getBeansInUseCurrentCount()

  Provides a count of the number of bean instances currently being used from the free pool.

  Returns:
    The beansInUseCurrentCount value

### getDestroyedTotalCount

    public long getDestroyedTotalCount()

  Provides a count of the total number of times a bean instance from this pool was destroyed due to a non-application Exception being thrown from it.

  Returns:
    The destroyedTotalCount value

### getIdleBeansCount

    public int getIdleBeansCount()

  Deprecated. 28-Aug-2002. Use getPooledBeansCurrentCount() instead.

  Provides a count of the total number of available bean instances in the free pool.

  Returns the total number of available bean instances in the free pool.

  Returns:
    The idleBeansCount value

### getMissTotalCount

    public long getMissTotalCount()

  Provides a count of the total number of times a failed attempt was made to get an instance from the free pool. An Attempt to get a bean from the pool will fail if there are no available instances in the pool.

  Returns:
    The missTotalCount value

### getPooledBeansCurrentCount

    public int getPooledBeansCurrentCount()

  Provides a count of the current number of available bean instances in the free pool.

  Returns:
    The pooledBeansCurrentCount value

### getTimeoutTotalCount

    public long getTimeoutTotalCount()

  Provides a count of the total number of Threads that have timed out waiting for an available bean instance from the free pool.

  Returns:
    The timeoutTotalCount value

### getWaiterCurrentCount

    public int getWaiterCurrentCount()

  Provides a count of the number of Threads currently waiting for an available bean instance from the free pool.

  Returns:
    The waiterCurrentCount value

### getWaiterTotalCount

    public long getWaiterTotalCount()

  Deprecated. 28-Aug-2002. Use getWaiterCurrentCount() instead.

  Provides a count of the total number of Threads currently waiting for an available bean instance from the free pool.

  Returns:
    The waiterTotalCount value

### initializePool

    public void initializePool()

  Instructs the Pool to initialize itself to its configured startup time size.

  This is a synchronous and will wait until the pool is initialized before returning.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD